Bug 1307821 - opencv: FTBFS in rawhide
opencv: FTBFS in rawhide
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: opencv (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:56 EST by Fedora Release Engineering
Modified: 2016-03-02 14:11 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-02 14:11:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (790.48 KB, text/plain)
2016-02-13 16:56 EST, Fedora Release Engineering
no flags Details
root.log (120.57 KB, text/plain)
2016-02-13 16:56 EST, Fedora Release Engineering
no flags Details
state.log (629 bytes, text/plain)
2016-02-13 16:56 EST, Fedora Release Engineering
no flags Details
Fix FTBFS with GCC 6 (#1307821) (4.93 KB, patch)
2016-03-01 01:34 EST, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:56:49 EST
Your package opencv failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12846484

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:56:53 EST
Created attachment 1125524 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:56:55 EST
Created attachment 1125525 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:56:57 EST
Created attachment 1125526 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:57:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Yaakov Selkowitz 2016-02-25 17:26:17 EST
/builddir/build/BUILD/opencv-2.4.12.3/modules/contrib/src/chamfermatching.cpp:969:30: error: the compiler can assume that the address of 'annotate_img' will never be NULL [-Werror=address]
             if (&annotate_img!=NULL) {
                 ~~~~~~~~~~~~~^~~
/builddir/build/BUILD/opencv-2.4.12.3/modules/contrib/src/chamfermatching.cpp:1016:34: error: the compiler can assume that the address of 'annotate_img' will never be NULL [-Werror=address]
                 if (&annotate_img!=NULL) {
                     ~~~~~~~~~~~~~^~~
/builddir/build/BUILD/opencv-2.4.12.3/modules/contrib/src/chamfermatching.cpp:1111:25: error: the compiler can assume that the address of 'orientation_img' will never be NULL [-Werror=address]
     if (&orientation_img!=NULL) {
         ~~~~~~~~~~~~~~~~^~~

Upstream fix (among other unrelated changes): https://github.com/Itseez/opencv/commit/eebd4cad665f4f1270ca58bb13e9708e130f9b30
Comment 6 Yaakov Selkowitz 2016-03-01 01:34 EST
Created attachment 1131801 [details]
Fix FTBFS with GCC 6 (#1307821)

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13185264
Comment 7 Sergio Monteiro Basto 2016-03-01 19:15:07 EST
Unstreamed https://github.com/Itseez/opencv/issues/6195 , do you want do a build or we wait for upstream ?
Comment 8 Sergio Monteiro Basto 2016-03-01 20:08:59 EST
Commit is also applied in branch 2.4, upstream said: Just wait for 2.4.13 release.
Comment 9 Yaakov Selkowitz 2016-03-01 21:12:48 EST
(In reply to Sergio Monteiro Basto from comment #7)
> Unstreamed https://github.com/Itseez/opencv/issues/6195 , do you want do a
> build or we wait for upstream ?

I'd prefer a build now.

Note You need to log in before you can comment on or make changes to this bug.